#
# spec file for package perl-Config-AutoConf
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Config-AutoConf
Name:           perl-Config-AutoConf
Version:        0.320
Release:        1.16
Summary:        Module to implement some of AutoConf macros in pure perl
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AM/AMBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.23
BuildRequires:  perl(Test::More) >= 0.9
Requires:       perl(Capture::Tiny)
Recommends:     perl(ExtUtils::CBuilder) >= 0.280220
Recommends:     perl(File::Slurper)
%{perl_requires}

%description
Config::AutoConf is intended to provide the same opportunities to Perl
developers as at http://www.gnu.org/software/autoconf/ does for Shell
developers.

As Perl is the second most deployed language (mind: every Unix comes with
Perl, several mini-computers have Perl and even lot's of Windows machines
run Perl software - which requires deployed Perl there, too), this gives
wider support than Shell based probes.

The API is leaned against GNU Autoconf, but we try to make the API
(especially optional arguments) more Perl'ish than m4 abilities allow to
the original.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md testTc852_
%license ARTISTIC-1.0 GPL-1 LICENSE

%changelog
* Sat Jun 26 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.320
  see /usr/share/doc/packages/perl-Config-AutoConf/Changes
  0.320   2021-06-25
  - fix check_prog to not find directories (RT#132993), thanks
  RJBS for reporting it again!
* Wed Sep 30 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.319
  see /usr/share/doc/packages/perl-Config-AutoConf/Changes
  0.319	2020-09-29
  - add optional extra_link_flags to search_libs
  - fix check_prog to not find directories (RT#132993), thanks
  RJBS for reporting
  - include .perltidyrc to allow CPAN distribution downloaders
  creating sane patches
  - tooling improvements
* Fri Jan  3 2020 <timueller+perl@suse.de>
- updated to 0.318
  see /usr/share/doc/packages/perl-Config-AutoConf/Changes
  0.318	2020-01-02
  - use File::Slurper instead of File::Slurp::Tiny
  - use cached pkg_config_prog, when available
  - bump copyright notice
* Sat Jun  9 2018 coolo@suse.com
- updated to 0.317
  see /usr/share/doc/packages/perl-Config-AutoConf/Changes
  0.317	2018-06-08
  - fix pkg_config_package_flags a bit more
  - improve documentation of pkg_config_package_flags (fix
  RT#125274 - thanks to Petr Písař <ppisar@redhat.com>)
* Wed Apr 18 2018 coolo@suse.com
- updated to 0.316
  see /usr/share/doc/packages/perl-Config-AutoConf/Changes
  0.316	2018-04-12
  - deal with pkg-config errors
  - allow more search_lib others
* Thu Aug  3 2017 coolo@suse.com
- updated to 0.315
  see /usr/share/doc/packages/perl-Config-AutoConf/Changes
  0.315	2017-08-02
  - add check_builtin
  - perltidy code and add perltidy test (taken from MooX::Options)
  - ensure for many check_* methods that externally controlled
  ac_av_* environment variables are correctly passed into config.h
  - fix check_dirent_header to cache proving header and proving
  availability of 'DIR *' in such a header separately
* Fri Mar 31 2017 coolo@suse.com
- updated to 0.314
  see /usr/share/doc/packages/perl-Config-AutoConf/Changes
  0.314	2017-03-30
  - _get_extra_linker_flags: add library dirs
* Tue Apr 12 2016 coolo@suse.com
- updated to 0.313
  see /usr/share/doc/packages/perl-Config-AutoConf/Changes
  0.313	2016-04-11
  - release 0.312_001 without further changes
  0.312_001	2016-04-07
  - fix "check_member" test (RT#113271)
  - update Copyright notice
  - add license files
  - improve compile_if_else/link_if_else by proving whether object
  or binary file (compile result) exists
  - fix some typos and other POD quirks
  - Update README.md from updated POD
* Wed Apr 15 2015 coolo@suse.com
- updated to 0.311
  see /usr/share/doc/packages/perl-Config-AutoConf/Changes
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.22
  - Flag some more tests as TODO.
  - Flag -lm tests as 'TODO' as they might fail in some Windows
    machines
  - Add stdint.h into check_default_headers
  - Make POD tests author only.
* Tue Feb 21 2012 coolo@suse.com
- initial package 0.19
  * created by cpanspec 1.78.06
